function [GammaVec]=func_calculate_2termCC(L,n)

xVec = (1:(L-1))';
jVec = (-(L-2):(L-2))';

[Gamma,k_vec] = func_Gamma_values(L,n);

count = 0;
for XX = 1:length(xVec);
    for JJ = 1:length(jVec);
        xVal = xVec(XX);
        jVal = jVec(JJ);
        count = count + 1;
        
        if xVal - jVal >= (L-1)
            xVal = (L-1);
        end
        
        temp_row = find(jVal == k_vec);
        GammaVec(count,:) = [XX jVal Gamma(temp_row,xVal)];
    end
end


